Index: trunk/NEMO/TOP_SRC/trc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/trc.F90	(revision 944)
+++ trunk/NEMO/TOP_SRC/trc.F90	(revision 945)
@@ -4,206 +4,147 @@
    !! Passive tracers   :  module for tracers defined
    !!======================================================================
-   !! History :
-   !!   8.2  !  96-01  (M. Levy)  Original code
-   !!        !  99-07  (M. Levy)  for LOBSTER1 or NPZD model
-   !!        !  00-04  (O. Aumont, M.A. Foujols)  HAMOCC3 and P3ZD
-   !!   9.0  !  04-03  (C. Ethe)  Free form and module
+   !! History :    -   !  1996-01  (M. Levy)  Original code
+   !!              -   !  1999-07  (M. Levy)  for LOBSTER1 or NPZD model
+   !!              -   !  2000-04  (O. Aumont, M.A. Foujols)  HAMOCC3 and P3ZD
+   !!             1.0  !  2004-03  (C. Ethe)  Free form and module
    !!----------------------------------------------------------------------
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-#if defined key_passivetrc
+#if defined key_top
    !!----------------------------------------------------------------------
-   !!   'key_passivetrc'   :                               Passive tracer
-   !!---------------------------------------------------------------------
-   !! * Modules used
+   !!   'key_top'                                                TOP models
+   !!----------------------------------------------------------------------
    USE par_oce
    USE par_trc
+   
    IMPLICIT NONE
-
    PUBLIC
-
 
    !! passive tracers names and units (read in namelist)
    !! --------------------------------------------------
-   CHARACTER(len=12), PUBLIC, DIMENSION(jptra) :: &
-      ctrcnm  ,   &   !!: tracer name 
-      ctrcun          !!: tracer unit
-
-   CHARACTER(len=80), PUBLIC, DIMENSION(jptra) :: &
-      ctrcnl          !!: tracer long name 
+   CHARACTER(len=12), PUBLIC, DIMENSION(jptra) ::   ctrcnm     !: tracer name 
+   CHARACTER(len=12), PUBLIC, DIMENSION(jptra) ::   ctrcun     !: tracer unit
+   CHARACTER(len=80), PUBLIC, DIMENSION(jptra) ::   ctrcnl     !: tracer long name 
    
    
    !! parameters for the control of passive tracers
    !! --------------------------------------------------
-   INTEGER, PUBLIC ::  &
-      numnat          !!: the number of the passive tracer NAMELIST
-   
-   LOGICAL, PUBLIC, DIMENSION(jptra) ::   &
-      lutini          !!:  initialisation from FILE or not (NAMELIST)
-
-   INTEGER , PUBLIC, DIMENSION(jptra) :: &
-      nutini          !!: FORTRAN LOGICAL UNIT for initialisation file
+   INTEGER, PUBLIC                   ::   numnat   !: the number of the passive tracer NAMELIST
+   LOGICAL, PUBLIC, DIMENSION(jptra) ::   lutini   !:  initialisation from FILE or not (NAMELIST)
+   LOGICAL, PUBLIC, DIMENSION(jptra) ::   lutsav   !:  logical for saving tracer or not
+   INTEGER, PUBLIC, DIMENSION(jptra) ::   nutini   !: FORTRAN LOGICAL UNIT for initialisation file
 
    !! passive tracers fields (before,now,after)
    !! --------------------------------------------------
-   REAL(wp), PUBLIC, SAVE  ::  &
-      trai    ,   &   !!: initial total tracer
-      areatot         !!: total volume 
+   REAL(wp), PUBLIC ::   trai       !: initial total tracer
+   REAL(wp), PUBLIC ::   areatot    !: total volume 
 
-   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jpk,jptra) :: &
-      trn     ,   &   !!: traceur concentration for actual time step
-      tra     ,   &   !!: traceur concentration for next time step
-      trb             !!: traceur concentration for before time step
+   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jpk,jptra) ::   trn   !: traceur concentration for actual time step
+   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jpk,jptra) ::   tra   !: traceur concentration for next time step
+   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jpk,jptra) ::   trb   !: traceur concentration for before time step
 
 
    !! numerical parameter (NAMELIST)
    !! --------------------------------------------------
-   REAL(wp), PUBLIC  ::  &
-      rsc     ,   &   !!: tuning coefficient for anti-diffusion
-      rtrn            !!: value for truncation
+   REAL(wp), PUBLIC ::   rsc    !: tuning coefficient for anti-diffusion
+   REAL(wp), PUBLIC ::   rtrn   !: value for truncation
 
    !! namelist parameters
    !! --------------------------------------------------
-   INTEGER , PUBLIC  ::  & 
-      ncortrc ,   &   !!: number of corrective phases
-      ndttrc  ,   &   !!: frequency of step on passive tracers
-      nittrc000       !!: first time step of passive tracers model  
-
-   LOGICAL, PUBLIC  ::  & 
-      crosster        !!: logical if true computes crossterms
+   INTEGER , PUBLIC ::   ncortrc     !: number of corrective phases
+   INTEGER , PUBLIC ::   ndttrc      !: frequency of step on passive tracers
+   INTEGER , PUBLIC ::   nittrc000   !: first time step of passive tracers model  
+   LOGICAL , PUBLIC ::   crosster    !: logical if true computes crossterms
 
 
    !! isopycnal scheme for passive tracers
-   !! --------------------------------------------------  
-   REAL(wp), PUBLIC  ::  &
-      ahtrb0  ,   &   !!: background diffusivity coefficient for passive tracer (m2/s)
-      trcrat  ,   &   !!: ratio between passive and active tracer coeff for diffusion
-      ahtrc0  ,   &   !!: horizontal eddy diffusivity for passive tracers (m2/s)
-      aeivtr0         !!: eddy induced velocity coefficient (m2/s)
+   !! ------------------------------------  
+   REAL(wp), PUBLIC ::   ahtrb0     !: background diffusivity coefficient for passive tracer (m2/s)
+   REAL(wp), PUBLIC ::   trcrat     !: ratio between passive and active tracer coeff for diffusion
+   REAL(wp), PUBLIC ::   ahtrc0     !: horizontal eddy diffusivity for passive tracers (m2/s)
+   REAL(wp), PUBLIC ::   aeivtr0    !: eddy induced velocity coefficient (m2/s)
    
    
    !! passive tracers restart (input and output)
-   !! --------------------------------------------------  
-   LOGICAL, PUBLIC  ::  &
-      lrsttr          !!: boolean term for restart i/o for passive tracers (namelist)
-   
-   INTEGER , PUBLIC  ::  &
-      nutwrs  ,   &   !!: output FILE for passive tracers restart
-      nutrst  ,   &   !!: logical unit for restart FILE for passive tracers
-      nrsttr          !!: control of the time step ( 0 or 1 ) for pass. tr.
+   !! ------------------------------------------  
+   LOGICAL , PUBLIC ::   lrsttr     !: boolean term for restart i/o for passive tracers (namelist)
+   INTEGER , PUBLIC ::   nutwrs     !: output FILE for passive tracers restart
+   INTEGER , PUBLIC ::   nutrst     !: logical unit for restart FILE for passive tracers
+   INTEGER , PUBLIC ::   nrsttr     !: control of the time step ( 0 or 1 ) for pass. tr.
    
    
    !! interpolated gradient
    !!--------------------------------------------------  
-   REAL (wp), PUBLIC, DIMENSION (jpi,jpj,jptra) :: &
-      gtru    ,   &   !!: horizontal gradient at u-points at bottom ocean level
-      gtrv            !!: horizontal gradient at v-points at bottom ocean level
+   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jptra) ::   gtru   !: horizontal gradient at u-points at bottom ocean level
+   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jptra) ::   gtrv   !: horizontal gradient at v-points at bottom ocean level
 
    
-#if defined key_trcldf_eiv && defined key_diaeiv
+# if defined key_trcldf_eiv && defined key_diaeiv
    !! The three component of the eddy induced velocity
    !! --------------------------------------------------
-   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jpk) :: &
-      u_trc_eiv,  &   !!: u-eiv (m/s)
-      v_trc_eiv,  &   !!: v-eiv (m/s)
-      w_trc_eiv       !!: w-eiv (m/s)
-#endif
+   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jpk) ::   u_trc_eiv   !: u-eiv (m/s)
+   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jpk) ::   v_trc_eiv   !: v-eiv (m/s)
+   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jpk) ::   w_trc_eiv   !: w-eiv (m/s)
+# endif
    
    
    !! information for outputs
    !! --------------------------------------------------
-   INTEGER , PUBLIC   ::  & 
-      nwritetrc       !!: time step frequency for concentration outputs (namelist)
+   INTEGER , PUBLIC ::   nwritetrc   !: time step frequency for concentration outputs (namelist)
    
-#if defined key_trc_diaadd
+# if defined key_trc_diaadd
    !! additional 2D/3D outputs namelist
    !! --------------------------------------------------
-   CHARACTER(len=8), PUBLIC, DIMENSION (jpdia2d) ::  & 
-      ctrc2d  ,   &   !!: 2d output field name
-      ctrc2u          !!: 2d output field unit
+   CHARACTER(len= 8), PUBLIC, DIMENSION (jpdia2d) ::   ctrc2d   !: 2d output field name
+   CHARACTER(len= 8), PUBLIC, DIMENSION (jpdia2d) ::   ctrc2u   !: 2d output field unit   
+   CHARACTER(len= 8), PUBLIC, DIMENSION (jpdia3d) ::   ctrc3d   !: 3d output field name
+   CHARACTER(len= 8), PUBLIC, DIMENSION (jpdia3d) ::   ctrc3u   !: 3d output field unit
+   CHARACTER(len=80), PUBLIC, DIMENSION (jpdia2d) ::   ctrc2l   !: 2d output field long name
+   CHARACTER(len=80), PUBLIC, DIMENSION (jpdia3d) ::   ctrc3l   !: 3d output field long name
+
    
-   CHARACTER(len=8), PUBLIC, DIMENSION (jpdia3d) ::  & 
-      ctrc3d ,    &   !!: 3d output field name
-      ctrc3u          !!: 3d output field unit
-   
-   CHARACTER(len=80), PUBLIC, DIMENSION (jpdia2d) ::  & 
-      ctrc2l          !!: 2d output field long name
-   
-   CHARACTER(len=80), PUBLIC, DIMENSION (jpdia3d) ::  & 
-      ctrc3l          !!: 3d output field long name
-   
-   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jpdia2d) ::  &  
-      trc2d           !!:  additional 2d outputs  
-   
-   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jpk,jpdia3d) ::  &  
-      trc3d           !!:  additional 3d outputs  
+   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,    jpdia2d) ::   trc2d   !:  additional 2d outputs  
+   REAL(wp), PUBLIC, DIMENSION (jpi,jpj,jpk,jpdia3d) ::   trc3d   !:  additional 3d outputs  
    
    
    !! netcdf files and index common
    !! --------------------------------------------------
-   INTEGER , PUBLIC :: &
-      nwriteadd     !!: frequency of additional arrays outputs(namelist)
-#endif
+   INTEGER , PUBLIC ::   nwritedia     !: frequency of additional arrays outputs(namelist)
+# endif
    
-#if defined key_trc_diatrd
+# if defined key_trc_diatrd
    
    !!  non conservative trends (biological, ...)
    !! --------------------------------------------------
-   LOGICAL, PUBLIC, DIMENSION (jptra)  ::  &  
-      luttrd          !!: large trends diagnostic to write or not (namelist)
+   LOGICAL, PUBLIC, DIMENSION (jptra) ::   luttrd   !: large trends diagnostic to write or not (namelist)
    
-   !!  dynamical trends
-   !!	trtrd()   : trends of the tracer equations
-   !!           1 : X advection
-   !!           2 : Y advection
-   !!           3 : Z advection
-   !!           4 : X diffusion
-   !!           5 : Y diffusion
-   !!           6 : Z diffusion
-   !!           7 : X gent velocity
-   !!           8 : Y gent velocity
-   !!           9 : Z gent velocity
+   !!  Advection-diffusion trends
    !! --------------------------------------------------
+   REAL(wp), PUBLIC, DIMENSION(:,:,:,:,:), ALLOCATABLE ::   trtrd   !: trends of the tracer equations
    
-   
-   REAL(wp), PUBLIC, DIMENSION(:,:,:,:,:), ALLOCATABLE, SAVE :: &
-      trtrd           !!: trends of the tracer equations
-   
-   INTEGER, PUBLIC, DIMENSION(jptra), SAVE :: ikeep ! indice of tracer for which dyn trends are stored
-   INTEGER, PUBLIC, SAVE                   :: nkeep ! number of tracers for which dyn trends are stored 
-                                                    ! (used to allocate trtrd buffer)
+   INTEGER, PUBLIC, DIMENSION(jptra) :: ikeep ! indice of tracer for which dyn trends are stored
+   INTEGER, PUBLIC                   :: nkeep ! number of tracers for which dyn trends are stored 
+   !                                          ! (used to allocate trtrd buffer)
 
    !! netcdf files and index common
    !! --------------------------------------------------
-   INTEGER , PUBLIC :: &
-      nwritetrd       !!: frequency of additional arrays outputs(namelist)
+   INTEGER , PUBLIC ::   nwritetrd   !: frequency of additional arrays outputs(namelist)
    
-#endif 
+# endif 
    
    !! passive tracers data read and at given time_step
    !! --------------------------------------------------
-#if defined key_dtatrc
-   
-   INTEGER , PUBLIC, DIMENSION(jptra) :: &
-      numtr          !!: logical unit for passive tracers data
-   
+# if defined key_dtatrc
+   INTEGER , PUBLIC, DIMENSION(jptra) ::   numtr   !: logical unit for passive tracers data
+# endif
+
+#else
+   !!----------------------------------------------------------------------
+   !!  Empty module :                                     No passive tracer
+   !!----------------------------------------------------------------------
 #endif
 
-  !!  1D configuration
-  !! --------------------------------------------------
-#if defined key_cf1d
-      LOGICAL, PARAMETER ::   lk_trccfg_1d   = .TRUE.   !: 1D pass. tracer configuration flag
-#else   
-      LOGICAL, PARAMETER ::   lk_trccfg_1d   = .FALSE.  !: 1D pass. tracer configuration flag
-#endif
-
-
-#else
    !!======================================================================
-   !!  Empty module : No passive tracer 
-   !!======================================================================
-#endif
-
 END MODULE trc
Index: trunk/NEMO/TOP_SRC/trcctl.F90
===================================================================
--- trunk/NEMO/TOP_SRC/trcctl.F90	(revision 944)
+++ trunk/NEMO/TOP_SRC/trcctl.F90	(revision 945)
@@ -1,20 +1,15 @@
 MODULE trcctl
-   !!==========================================================================
-   !!
-   !!                       *** MODULE trcctl ***
-   !!
-   !! Only for passive tracer
-   !! control the cpp options for the run and IF files are availables
-   !! control also consistancy between options and namelist values
-   !!  O.Aumont and A.El Moussaoui 03/05 F90 
-   !!=========================================================================
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!======================================================================
+   !!                         ***  MODULE trcctl  ***
+   !! TOP :   control the cpp options, files and namelist values of a run
+   !!======================================================================
+   !! History :   1.0  !  2005-03 (O. Aumont, A. El Moussaoui) original code
    !!----------------------------------------------------------------------
-#if defined key_passivetrc
+#if defined key_top
    !!----------------------------------------------------------------------
-   !! * Modules used
-   !! ==============
+   !!   'key_top'                                                TOP models
+   !!----------------------------------------------------------------------
+   !!   trc_ctl    : control the cpp options, files and namelist values
+   !!----------------------------------------------------------------------
    USE oce_trc
    USE trc
@@ -25,76 +20,49 @@
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC trc_ctl
+   PUBLIC trc_ctl      ! called by ???
+
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
 CONTAINS
 
    SUBROUTINE trc_ctl
-      !!===========================================================================================
+      !!----------------------------------------------------------------------
+      !!                     ***  ROUTINE trc_ctl  ***
       !!
-      !!
-      !!                       ROUTINE trcctl
-      !!                     ******************
-      !!
-      !!      we use IF/ENDIF inside #IF defined option-cpp
-      !!      FILE name must not exceed 21 characters
-      !!      
-      !!===========================================================================================
-      
+      !! ** Purpose :   control the cpp options, namelist and files 
+      !!              we use IF/ENDIF inside #IF defined option-cpp
+      !!              FILE name must not exceed 21 characters
       !!----------------------------------------------------------------------
-      !! local declarations
-      !! ==================
-      INTEGER  :: istop, jn
-      
-      !!---------------------------------------------------------------------
-      !!  OPA.9    03/2005  
-      !!---------------------------------------------------------------------
+      INTEGER ::   istop, jn
+      !!----------------------------------------------------------------------
 
-      ! 0. Parameter
-      ! ------------
-      istop = 0
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' trc_ctl :   passive tracer option'
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~'
 
-      ! 1. restart for passive tracer (input)
-      ! -----------------------------
+      istop = 0      ! initialise to zero
 
-      IF(lwp) WRITE(numout,*) ' '
-      IF(lwp) WRITE(numout,*) ' *** PASSIVE TRACER MODEL OPTIONS'
-      IF(lwp) WRITE(numout,*) ' *** CONTROL'
-      IF(lwp) WRITE(numout,*) ' '
-
-      IF(lwp) WRITE(numout,*) ' '
-      IF(lwp) WRITE(numout,*) ' *** restart option for passive tracer'
-      IF(lwp) WRITE(numout,*) ' '
-
-      IF(lrsttr) THEN
-         IF(lwp) WRITE(numout,*) ' READ a restart FILE for passive tracer'
+      ! restart for passive tracer (input)
+      IF( lrsttr ) THEN
+         IF(lwp) WRITE(numout,*) '       READ a restart FILE for passive tracer'
          IF(lwp) WRITE(numout,*) ' '
       ELSE
-         IF(lwp) WRITE(numout,*) ' no restart FILE'
-         IF(lwp) WRITE(numout,*) ' '
-
-         ! 2. OPEN FILES for initial tracer value
-         ! --------------------------------------
-         DO jn=1,jptra
-
-            ! OPEN input FILE only IF lutini(jn) is true
-            ! ------------------------------------------
-            IF (lutini(jn)) THEN  
-
-               ! prepare input FILE name a
-               ! -------------------------                        
+         IF(lwp) WRITE(numout,*) '       no restart FILE'
+         IF(lwp) WRITE(numout,*)
+         DO jn = 1, jptra
+            IF( lutini(jn) ) THEN      ! OPEN input FILE only IF lutini(jn) is true
                IF(lwp) WRITE(numout,*)  &
-                  ' READ an initial FILE  for passive tracer number :',jn        &
-                  ,' traceur : ',ctrcnm(jn) 
-               IF(lwp) WRITE(numout,*) ' '
+                  '       READ an initial FILE  for passive tracer number :', jn, ' traceur : ', ctrcnm(jn) 
             END IF
          END DO
       ENDIF
 
-      ! 3. Don't USE non penetrative convective mixing option
-      !     it's not implemented for passive tracer
-      ! -----------------------------------------------------
-
-      IF( ln_zdfnpc) THEN
+      ! Don't USE non penetrative convective mixing option
+      ! it's not implemented for passive tracer
+      IF( ln_zdfnpc ) THEN
          IF(lwp) WRITE (numout,*) ' ===>>>> : w a r n i n g '
          IF(lwp) WRITE (numout,*) ' =======   ============= '
@@ -105,54 +73,47 @@
       ENDIF
 
-      ! 4. transport scheme option
-      ! --------------------------
-
-      IF(lwp) WRITE(numout,*) '  '
+      ! transport scheme option
       CALL trc_trp_ctl
 
-
-      ! 5. SMS model
-      ! ---------------------------------------------
-
+      ! SMS model
       IF(lwp) WRITE(numout,*) '  '
-      IF(lwp) WRITE(numout,*) ' *** Source/Sink model option'
+      IF(lwp) WRITE(numout,*) '       Source/Sink model option'
       IF(lwp) WRITE(numout,*) '  '
 
+# if defined key_lobster
+#   include "trcctl.lobster.h90"
 
-#if defined key_trc_lobster1
-#   include "trcctl.lobster1.h90"
-#elif defined key_trc_pisces
+# elif defined key_pisces
 #   include "trcctl.pisces.h90"
-#elif defined key_cfc
+
+# elif defined key_cfc
 #   include "trcctl.cfc.h90"
-#else
 
-      IF(lwp) WRITE (numout,*) ' No Source/Sink model '
-      IF(lwp) WRITE (numout,*) ' '
+# else
+      IF(lwp) WRITE (numout,*) '       No Source/Sink '
+      IF(lwp) WRITE (numout,*)
 #endif
 
       ! E r r o r  control
       ! ------------------
-
-      IF ( istop > 0  ) THEN
+      IF( istop > 0  ) THEN
          IF(lwp)WRITE(numout,*)
          IF(lwp)WRITE(numout,*) istop,' E R R O R found : we stop'
-         IF(lwp)WRITE(numout,*) '**************************'
+         IF(lwp)WRITE(numout,*) '  **************************'
          IF(lwp)WRITE(numout,*)
          STOP 'trcctl'
       ENDIF
-
+      !
    END SUBROUTINE trc_ctl
 
 #else
-   !!======================================================================
-   !!  Empty module : No passive tracer
-   !!======================================================================
+   !!----------------------------------------------------------------------
+   !!  Empty module :                                     No passive tracer
+   !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE trc_ctl
-
+   SUBROUTINE trc_ctl                      ! Dummy routine
    END SUBROUTINE trc_ctl
-   
 #endif
 
+   !!======================================================================
 END MODULE trcctl
Index: trunk/NEMO/TOP_SRC/trcdia.F90
===================================================================
--- trunk/NEMO/TOP_SRC/trcdia.F90	(revision 944)
+++ trunk/NEMO/TOP_SRC/trcdia.F90	(revision 945)
@@ -1,17 +1,15 @@
 MODULE trcdia
-   !!==========================================================================
-   !!
+   !!======================================================================
    !!                       *** MODULE trcdia ***
-   !! Output  for tracer concentration  
-   !! O.Aumont and A.El Moussaoui 03/05 F90 
-   !!==========================================================================
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! TOP :   Output of passive tracers
+   !!======================================================================
+   !! History :   1.0  !  2005-03 (O. Aumont, A. El Moussaoui) original code
    !!----------------------------------------------------------------------
-#if defined key_passivetrc
+#if defined key_top
    !!----------------------------------------------------------------------
-   !! * Modules used
- 
+   !!   'key_top'                                                TOP models
+   !!----------------------------------------------------------------------
+   !!   trc_dia    :  output passive tracer fields
+   !!----------------------------------------------------------------------
    USE trcdit
 
@@ -19,60 +17,48 @@
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC trc_dia
+   PUBLIC trc_dia      ! called by ???
 
-   !! * Module variables
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
 CONTAINS
 
-   SUBROUTINE trc_dia(kt,kindic)  
-      !!===========================================================================================
+   SUBROUTINE trc_dia( kt, kindic )  
+      !!---------------------------------------------------------------------
+      !!                     ***  ROUTINE trc_dia  ***
       !!
-      !!                       ROUTINE trcdii_wr
-      !!===========================================================================================
+      !! ** Purpose :   output passive tracers fields 
+      !!---------------------------------------------------------------------
+      INTEGER, INTENT( in ) :: kt, kindic
+      !!---------------------------------------------------------------------
+      
+      CALL trcdit_wr( kt, kindic )      ! outputs for tracer concentration
 
-      INTEGER, INTENT( in ) :: kt, kindic
+# if defined key_trc_diatrd
+      CALL trcdid_wr( kt, kindic )      ! outputs for dynamical trends
+# endif
 
-      ! outputs for tracer concentration
-      ! -------------------------------- 
+# if defined key_trc_diaadd
+      CALL trcdii_wr( kt, kindic )      ! outputs for additional arrays
+# endif
 
-      CALL trcdit_wr(kt,kindic)
-
-#if defined key_trc_diatrd
-
-      ! outputs for dynamical trends
-      ! ----------------------------
-
-      CALL trcdid_wr(kt,kindic)
-
-#endif
-#if defined key_trc_diaadd
-
-      ! outputs for additional arrays
-      ! -----------------------------
-
-      CALL trcdii_wr(kt,kindic)
-
-#endif
-#if defined key_trc_diabio
-
-      ! outputs for biological trends
-      ! -----------------------------
-
-      CALL trcdib_wr(kt,kindic)
-
-#endif
-
+# if defined key_trc_diabio
+      CALL trcdib_wr( kt, kindic )      ! outputs for biological trends
+# endif
+      !
    END SUBROUTINE trc_dia
 
 #else
-   !!======================================================================
-   !!  Empty module : No passive tracer
-   !!======================================================================
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                     No passive tracer
+   !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE trc_dia
-      
+   SUBROUTINE trc_dia                      ! Empty routine   
    END SUBROUTINE trc_dia   
 #endif
 
+   !!======================================================================
 END MODULE trcdia
